Requirements described as user stories of the identified roles.

\begin{table}[h!]
\small
\begin{tabular}{|p{0.02\linewidth}|p{0.80\linewidth}|p{0.15\linewidth}|}
\hline
   & \textbf{As the Systems Biology lab project lead} & \textbf{Implemented} \\
\hline
1 & I want the software to be released under GPLv3 license. & Yes\\ \hline
2 & I want GitLab pipeline configured to build packaged executables. & No\\ \hline
3 & I want the software to look as agreed on the UI design document. & No\\ \hline
\end{tabular}
\caption{Requirements of the Systems Biology lab project lead}\label{table:requirements-lead}
\end{table}

\begin{table}[h!]
\small
\begin{tabular}{|p{0.02\linewidth}|p{0.80\linewidth}|p{0.15\linewidth}|}
\hline
   & \textbf{As a scientist working at the Systems Biology lab} & \textbf{Implemented} \\
\hline 
4 & I want to import images from the lab’s OMERO server. & Yes\\ \hline
5 & I want my data saved on the lab’s PostgreSQL server. & Yes\\ \hline
6 & I want the software to indicate when it has lost external connections and allow to retry or change connection parameters. & No\\ \hline
\end{tabular}
\caption{Requirements of scientist working at the Systems Biology lab}\label{table:requirements-scientist-iocbio}
\end{table}

\begin{table}[h!]
\small
\begin{tabular}{|p{0.02\linewidth}|p{0.80\linewidth}|p{0.15\linewidth}|}
\hline
   & \textbf{As a scientist not working at the Systems Biology lab} & \textbf{Implemented}   \\ 
\hline
7 & I want to import images from my local computer. & Yes\\ \hline
8 & I want my data to persist between work sessions locally. & Yes\\ \hline
9 & I want to export the results of my work as a CSV file. & No\\ \hline
10 & I want to use the software in my own language. & No\\ \hline
\end{tabular}
\caption{Requirements of scientist not working at the Systems Biology lab}\label{table:requirements-scientist-not-iocbio}
\end{table}

\begin{table}[h!]
\small
\begin{tabular}{|p{0.02\linewidth}|p{0.80\linewidth}|p{0.15\linewidth}|}
\hline
   & \textbf{As a scientist} & \textbf{Implemented} \\
\hline
11 & I want to add and modify measurement types. & Yes\\ \hline
12 & I want to add and modify gels. & Yes\\ \hline
13 & I want to add and modify the general information about the lanes on the gel. & Yes\\ \hline
14 & I want to add multiple images for gels. & Yes\\ \hline
15 & I want to view the raw image before analysis. & Yes\\ \hline
16 & I want to select a ROI on the image before analysis (rotate and crop). & Yes\\ \hline
17 & I want to specify if the background on the image is dark or light. & Yes\\ \hline
18 & I want to correct image background (subtraction by rolling ball method). & Yes\\ \hline
19 & I want to choose a false-color mapping for the image. & Yes\\ \hline
20 & I want to mark the lane positions and widths on the Gel image. & Yes\\ \hline
21 & I want to adjust lane widths individually. & Yes\\ \hline
22 & I want to rotate the lanes individually. & No\\ \hline
23 & I want to curve the lanes individually. & No\\ \hline
24 & I want to see pixel intensity plots for marked lanes. & Yes\\ \hline
25 & I want to specify a zero-line to separate background from signal on the intensity plots. & Yes\\ \hline
26 & I want to add and modify measurements connected to specific gel images. & Yes\\ \hline
27 & I want to choose which lanes a measurement includes. & Yes\\ \hline
28 & I want to specify the integration limits on the pixel intensity plots. & Yes\\ \hline
29 & I want the selected limits to be visible on their lanes. & No\\ \hline
30 & I want to see a comparison and annotate analyzed lanes for measurements. & Yes\\ \hline
31 & I want to search previously analyzed gels by name, ID, sample ID, lane ID and measurement ID. & No\\ \hline
32 & I want the option to undo an accidental modification. & Yes\\ \hline
33 & I want a way to disable all editing operations to avoid accidental modifications during a review. & Yes\\ \hline
34 & I want to change my image and data source parameters after initial setup. & Yes\\ \hline
35 & I want to use the software on macOS computer. & Yes\\ \hline
36 & I want to use the software on Windows computer. & Yes\\ \hline
37 & I want to use the software on Linux computer. & Yes\\ \hline
38 & I want a user manual for the software. & No\\ \hline
39 & I want the implementation of analysis steps formally documented. & No\\ \hline
\end{tabular}
\caption{Requirements of a scientist}\label{table:requirements-scientist}
\end{table}
